import { BaseContainer, BaseContainerModel } from './BaseContainer';
import {BaseGraphics, BaseGraphicsModel} from "./BaseGraphics";
import {BaseSprite, BaseSpriteModel} from "./BaseSprite";
import {BaseText, BaseTextModel} from "./BaseText";
import {BaseTilingSprite, BaseTilingSpriteModel} from "./BaseTilingSprite";

export type ImageObject = BaseContainer<BaseContainerModel> | BaseGraphics<BaseGraphicsModel> | BaseSprite<BaseSpriteModel> | BaseText<BaseTextModel> | BaseTilingSprite<BaseTilingSpriteModel>;
