import * as PIXI from "pixi.js-legacy";

/**
 * Base interaction
 */
export abstract class BaseInteraction extends PIXI.utils.EventEmitter {
    /**
     * Constructor
     */
    protected constructor() {
        super();
    }

    /**
     * Reset
     */
    public abstract reset(): void;
}