import {FillCollection} from "./fills/FillCollection";
import {LegendCollection} from "./legends/LegendCollection";
import {PositionPoint} from "./positionings/PositionPoint";
import {Line} from "./connections/Line";
import {PrimitiveObject} from "./primitives/PrimitiveObject";

export type DrawableObject = FillCollection | LegendCollection | PositionPoint | Line | PrimitiveObject;
