import { BaseContainer, BaseContainerModel } from "../../bases/elements/BaseContainer";

/**
 * Container
 */
export class Container extends BaseContainer<BaseContainerModel> {
    /**
     * Constructor
     * @param model
     */
    public constructor(model: BaseContainerModel) {
        // Parent constructor
        super(model);
    }

    /**
     * Init
     */
    public init(): void {
        // Sort items
        this.sortChildren();

        // Draw
        this.emit("debounceDraw");
    }

    /**
     * Draw
     */
    public draw(): void {
    }
}